<?php

namespace App\Entities\Mangboard;

use App\Entities\CommonEntity;

class BoardEntity extends CommonEntity
{
    public function __toString(): string
    {
        return "{$this->getPK()}|{$this->getTitle()}";
    }
    public function getTitle(): string
    {
        return $this->attributes['title'];
    }
    public function setTitle(string $title): void
    {
        $this->attributes['title'] = $title;
    }
    //Common Function

    public function getPK(): int
    {
        return $this->attributes['pid'];
    }
}
